%define Name jadetex
%define Version 2.20
%define TeXdir %(cd `kpsewhich -expand-var '$TEXMFMAIN'`/../..; pwd)

Name        	: %{Name}
Version     	: %{Version}
Release     	: 5mdk
Group       	: Publishing

Summary     	: TeX macros used by Jade TeX output.

Copyright   	: Distributable (C) Sebastian Rahtz <s.rahtz@elsevier.co.uk>

Requires    	: sgml-common >= 0.2
Requires	: tetex >= 0.9
Requires	: jade >= 1.2.1

BuildRoot   	: %{_tmppath}/%{name}-%{version}-buildroot   
BuildRequires   : tetex >= 1.0.7-8mdk

BuildArch	: noarch
Source0		: http://www.tug.org/applications/jadetex/jadetex-2.20.tar.bz2
Patch0		: %{Name}-%{Version}-makefile.patch.bz2
Patch1		: %{Name}-%{Version}-i18n.patch.bz2

%Description
JadeTeX contains the additional LaTeX macros necessary for taking Jade
TeX output files and processing them as TeX files, to obtain DVI, Postscript
or PDF files for example.


%Prep
rm -rf $RPM_BUILD_ROOT

%setup

%patch -p1
%patch1 -p1


%Build
make


%Install
DESTDIR=$RPM_BUILD_ROOT
mkdir -p $DESTDIR
make install DESTDIR=$DESTDIR
mkdir -p ${DESTDIR}%{TeXdir}/bin 
ln -s virtex ${RPM_BUILD_ROOT}%{_prefix}/bin/jadetex
ln -s pdfvirtex ${RPM_BUILD_ROOT}%{_prefix}/bin/pdfjadetex    


%Clean
DESTDIR=$RPM_BUILD_ROOT
rm -rf $DESTDIR


%Post
/usr/bin/env - %{TeXdir}/bin/texhash 2> /dev/null
exit 0


%Files
%defattr (-,root,root)
%{TeXdir}/share/texmf/web2c/%{Name}.fmt
%{TeXdir}/share/texmf/web2c/pdf%{Name}.fmt
%{TeXdir}/share/texmf/tex/%{Name}/dsssl.def
# %{TeXdir}/share/texmf/tex/%{Name}/isoents.tex
%{TeXdir}/share/texmf/tex/%{Name}/%{Name}.ltx
%{TeXdir}/bin/jadetex
%{TeXdir}/bin/pdfjadetex

%changelog 
* Mon Oct 16 2000 Camille Begnis <camille@mandrakesoft.com> 2.20-5mdk
- use hugelatex instead of latex

* Wed Oct 11 2000 Camille Begnis <camille@mandrakesoft.com> 2.20-4mdk
- Add support for Italian with patch i18n

* Mon Sep 11 2000 Camille Begnis <camille@mandrakesoft.com> 2.20-3mdk
- Why was the binary missing?

* Mon Aug 28 2000 Camille Begnis <camille@mandrakesoft.com> 2.20-2mdk
- add buildrequires and rebuild upon new tetex release

* Wed Aug 23 2000 Camille Begnis <camille@mandrakesoft.com> 2.20-1mdk
- 2.20
- adapt spec from Eric Bischoff <ebisch@cybercable.tm.fr>
- Pre-LSB compliance
